Subject: FVWM: bug? MPlayer & EWMH Fullscreen hint

From: Jindrich Makovicka <[email-masked]>
Date: Wed, 02 Jun 2004 17:23:48 +0200

Hello,

again, MPlayer modified the FS switching code to solve some Metacity 
issues, and in fvwm the fullscreen mode broke again. After adding (when 
going fullscreen) and removing (when going back to windowed mode) of the 
_NET_WM_STATE_FULLSCREEN hint, the window decoration disappears. After 
commenting the EWMH code in MPlayer, the things work okay. Could it be a 
fvwm bug?

Regards,
-- 
Jindrich Makovicka
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 2 Jun 2004 22:58:27 +0200

> commenting the EWMH code in MPlayer, the things work okay. Could it be a 

To be able to say anything on that matter, I need to know the
fvwm version and the mplayer version you're trying.

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 4 Jun 2004 19:46:15 +0200

On Thu, Jun 03, 2004 at 12:33:53AM +0200, Jindrich Makovicka wrote:
> Dominik Vogt wrote:
> sorry for forgetting the most important thing - mplayer latest cvs, fvwm 
> both 2.5.10 and latest cvs.

I don't see any problem with latest CVS (fvwm) and the 20040603
CVS snapshot (mplayer).  Can you provide detailed istructions on
what exactly you are doing and the fvwm config?  Does that happen
with an empty .fvwm2rc?

Ciao

Dominik ^_^  ^_^

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 8 Jun 2004 19:38:23 +0200

On Sat, Jun 05, 2004 at 11:23:31AM +0200, Jindrich Makovicka wrote:
> You're right, it was caused by Style "*" MWMFunctions .

Hm, well, mplayer asks not to be maximized via MWM hints, and then
asks to be put into fullscreen state by EWMH hints.  I think the
bug in fvwm is that it allows the transition to fullscreen state.
The mwm hint that tried to forbid maximizing should be removed, in
my eyes.

Ciao

Dominik ^_^  ^_^